package lingtao.net.dao;

import java.util.List;

import org.apache.ibatis.annotations.Select;

import lingtao.net.bean.LoginIp;

public interface LoginIpMapper {

	public List<LoginIp> getLoginIpList(LoginIp loginIp);

	@Select("select agreeIp from tbl_login_ip")
	public List<String> getAllIp();

	public void addIp(LoginIp loginIp);
	public void updateIp(LoginIp loginIp);

	public int deleteIpById(Integer id);

	// 批量删除
	public void deleteBatch(int[] ints);

	@Select("select * from tbl_login_ip where agreeIp = #{agreeIp}")
	public LoginIp checkIP(String agreeIp);

}
